function [newHeight, newWidth] = aspect2dim(I,aspectRatio)

if (size(I,3) == 3),
    I = rgb2gray(I);
end

[h,w] = size(I);

if (h < w),
    newHeight   = h;
    newWidth    = round(newHeight/aspectRatio);
    while( ~(newWidth<=w) )
        newHeight   = newHeight -1;
        newWidth    = round(newHeight/aspectRatio);
    end
else
    newWidth   = w;
    newHeight  = round(aspectRatio*newWidth);
    while( ~(newHeight<=h) )
        newWidth    = newWidth -1;
        newHeight   = round(aspectRatio*newWidth);
    end
end