function [segmentGraph, uniqueLabels, segMasks] = segmentImage(I)
addpath ../GraphSeg
addpath ../GraphSeg/coherenceFilter

filted_I = CoherenceFilter(I,struct('T',5,'rho',2,'Scheme','I', 'sigma', 1));

%k-nearest neighborhood model:
segmentGraph = graphSeg(filted_I, 0.5/sqrt(3), 50, 20, 1);

[uniqueLabels, segMasks] = makeSegMasks(segmentGraph);